using System;
using System.Runtime.InteropServices;

/// <summary>
/// AWG-100 API library definitions
/// </summary>
public class AWG100
{

	//
	// Return code
	//
    public const int AWG100_OK = 0;
    public const int AWG100_DEVICE_NOT_FOUND = 1;
    public const int AWG100_MEMORY_ERROR = 2;
    public const int AWG100_FILE_ERROR = 3;
    public const int AWG100_COMMUNICATION_ERROR = 4;
    public const int AWG100_EXECUTION_ERROR = 5;
    public const int AWG100_OTHER_ERROR = 6;

    //
    // AWG-100 status
    //
    public const byte AWG100_STATUS_NO_DATA = 0;	// g`o͒~(g`t@Cݒ)
    public const byte AWG100_STATUS_READY = 1;	    // g`o͒~(g`t@Cݒ)
    public const byte AWG100_STATUS_RUNNING = 2;	// g`o͒

    //
	// Functions
	//
    [DllImport("AWG100.dll", CharSet = CharSet.Ansi)]
    public static extern int AWG100_SetFile (string SerialNumber, string FilePath);
    [DllImport("AWG100.dll", CharSet = CharSet.Ansi)]
    public static extern int AWG100_Start (string SerialNumber);
    [DllImport("AWG100.dll", CharSet = CharSet.Ansi)]
    public static extern int AWG100_Stop (string SerialNumber);
    [DllImport("AWG100.dll", CharSet = CharSet.Ansi)]
    public static extern int AWG100_ForcedStop (string SerialNumber);
    [DllImport("AWG100.dll", CharSet = CharSet.Ansi)]
    public static extern int AWG100_GetStatus (string SerialNumber, ref byte Status);

}
